summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_executor_env.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2020-10-01 20:38:47 +0000
committerDave Wallace <dwallacelf@gmail.com>2020-10-13 14:47:24 +0000
commit2db30aa5a938494a710a89cab5943675c1143918 (patch)
treed3ca1be1cde343527e94dd57401215ef9ef4a69e /jjb/scripts/setup_executor_env.sh
parentf491fbd3929c2fd6b0910214796d5c0f5056ea82 (diff)
Clean up vpp jenkins scripts & docker dir
- Remove docker/vpp Dockerfile definitions and colateral files for image now being build by https://gerrit.fd.io/r/c/ci-management/+/28022 - Remove opensuse support which has been elided from the vpp build in https://gerrit.fd.io/r/c/vpp/+/28999 - Remove unused scripts. - Output script name marker for all jjb scripts following LFIT practices. - Remove old/unused output from scripts. - Add logic to use vpp-ext-deps download cache in the executor images to speed up build jobs. - Add copyright notifcations to modified files without an existing copyright. - Make all vpp/docs jobs use '-{stream}-{os}-{executor}' suffix in their names. - Consolidate executor logging into setup_executor_env.sh and call it first for all jobs. Change-Id: I4ffb67ed476659f0127ca8c84f20a305d06149bf Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'jjb/scripts/setup_executor_env.sh')
-rw-r--r--jjb/scripts/setup_executor_env.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/jjb/scripts/setup_executor_env.sh b/jjb/scripts/setup_executor_env.sh
new file mode 100644
index 00000000..08b37873
--- /dev/null
+++ b/jjb/scripts/setup_executor_env.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/setup_executor_env.sh"
+
+set -e -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_ARCH=$(uname -m)
+dockerfile="/scratch/docker-build/Dockerfile"
+file_delimiter="----- %< -----"
+long_line="************************************************************************"
+downloads_cache="/root/Downloads"
+
+echo "$long_line"
+echo "Executor OS: $OS_ID-$OS_VERSION_ID"
+echo "Executor Arch: $OS_ARCH"
+# TODO: fix this to print nomad server hostname
+echo "Executor hostname: $(hostname)"
+
+echo "$long_line"
+if [ -f "$dockerfile" ] ; then
+ echo -e "Executor Dockerfile: ${dockerfile}\n${file_delimiter}"
+ cat $dockerfile
+ echo "$file_delimiter"
+else
+ echo "Unknown Executor: '$dockerfile' not found!"
+fi
+
+echo "$long_line"
+echo "Executor package list:"
+if [ "$OS_ID" == "ubuntu" ] || [ "$OS_ID" = "debian" ] ; then
+ dpkg-query -W -f='${binary:Package}\t${Version}\n' | column -t || true
+elif [ "$OS_ID" == "centos" ] ; then
+ yum list installed || true
+fi
+
+echo "$long_line"
+echo "Executor Downloads cache '$downloads_cache':"
+ls -lh "$downloads_cache" || true
+echo "$long_line"